<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| ..:: @book_panel for PHP-Fusion v6.01.x ::..
| by Stefan Noss --- [@ster]
| eMail: webmaster@edsterathome.de
| Web: http://www.edsterathome.de
| ---------------------------------------------------+
| Copyright  2006 Stefan Nnoss
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../../../maincore.php";
require_once BASEDIR."subheader.php";
require_once ADMIN."navigation.php";
require_once INCLUDES."photo_functions_include.php";

// LOKALE SPRACHDATEI PRFEN
if (file_exists(INFUSIONS."book_panel/locale/".$settings['locale'].".php")) {
	include	INFUSIONS."book_panel/locale/".$settings['locale'].".php";
}	else {
	include	INFUSIONS."book_panel/locale/English.php";
}

// Zugriffsrechte prfen
if(!checkRights("IP")) {fallback("../error.php");}

// ++++++++++++++++++++
// Bildupload fr Cover
// ++++++++++++++++++++
$booksfolder = "".INFUSIONS."book_panel/images/books/";

if (!isset($ifolder)) $ifolder = "books";

if (isset($action) && $action = "update") include INCLUDES."buildlist.php";

if ($ifolder == "books") { $afolder = $booksfolder; }

if (isset($status)) {
	if ($status == "del") {
		$title = "".$locale['ab_251']."";
		$message = "<b>".$locale['ab_252']."</b>";
	} elseif ($status == "upn") {
		$title = "".$locale['ab_251']."";
		$message = "<b>".$locale['ab_253']."</b>";
	} elseif ($status == "upy") {
		$title = "".$locale['ab_251']."";
		//$message = "<img src='".$afolder.$img."' title='$img'><br><br>\n<b>Bild erfolgreich hochgeladen...</b>";
		$message = "<b>".$locale['ab_254']."</b>";
	}
	opentable($locale['ab_255']);
	echo "<div align='center'>".$message."</div>\n";
	closetable();
	tablebreak();
}

if (isset($del))
{
unlink($afolder."$del");
unlink($afolder."thumbs/$delt");
if ($settings['tinymce_enabled'] == 1) include INCLUDES."buildlist.php";
redirect(FUSION_SELF."?&status=del&ifolder=$ifolder");
}
else if (isset($_POST['uploadimage']))
{
	$error = "";
	$image_types = array(
		".gif",
		".GIF",
		".jpeg",
		".JPEG",
		".jpg",
		".JPG",
		".png",
		".PNG"
	);
	$imgext = strrchr($_FILES['myfile']['name'], ".");
	$imgname = $_FILES['myfile']['name'];
	$imgsize = $_FILES['myfile']['size'];
	$imgtemp = $_FILES['myfile']['tmp_name'];
	if (!in_array($imgext, $image_types))
	{
	redirect(FUSION_SELF."?&status=upn&ifolder=$ifolder");
	}
	elseif (is_uploaded_file($imgtemp))
	{
	move_uploaded_file($imgtemp, $afolder.$imgname);
	chmod($afolder.$imgname,0644);
		// Thumbnail generieren
		$imagefile = @getimagesize($afolder.$imgname);
		$image_thumb1 = image_exists($afolder, $imgname."_t1".$imgext);
		createthumbnail($imagefile[2], $afolder.$imgname, $afolder."thumbs/".$image_thumb1, 90, 85);
	if ($settings['tinymce_enabled'] == 1) include INCLUDES."buildlist.php";
	redirect(FUSION_SELF."?&status=upy&ifolder=$ifolder&img=$imgname");
	}
}
else
{
	opentable("Upload von Cover");
	echo "<table class='tbl-border' align='center' cellpadding='0' cellspacing='0' width='50%'>
	<form name='uploadform' method='post' action='".FUSION_SELF."?&amp;ifolder=$ifolder' enctype='multipart/form-data'>
<tr>
<td width='30%' class='tbl2'>".$locale['ab_256']."</td>
<td class='tbl2'><input type='file' name='myfile' class='textbox' style='width:250px;'></td>
</tr>
<tr>
<td align='center' colspan='2' class='tbl1'>
<input type='submit' name='uploadimage' value='".$locale['ab_257']."' class='button' style='width:100px;'></td>
</tr>
</form>
</table>\n";

echo "<p><table align='center'><tr><td align='center'><a href='".INFUSIONS."book_panel/admin/main.php' target=_self><b>".$locale['ab_264']."</b></a></td></tr></table>";

	closetable();
	tablebreak();
	
		$image_list = makefilelist($afolder, ".|..|imagelist.js|index.php", true);
		if ($image_list) { $image_count = count($image_list); }
		opentable($locale['ab_258']);
		echo "<table align='center' cellpadding='0' cellspacing='1' width='35%' class='tbl-border'>
<tr>
<td align='center' colspan='2' class='tbl2'><b>".$locale['ab_259']."</b><br>".$locale['ab_260']."</td>
</tr>\n";
		if ($image_list)
		{
		for ($i=0;$i < $image_count;$i++)
			{
			if ($i % 2 == 0) { $row_color = "tbl1"; } else { $row_color = "tbl2"; }
				$imgext = strrchr($image_list[$i], ".");
				$thumb = "$image_list[$i]_t1$imgext";
				
				if ($image_list[$i] != $thumb)
				{
				echo "<tr>\n<td class='$row_color'><img src='".INFUSIONS."book_panel/images/books/$image_list[$i]' height='90' width='85' title='$image_list[$i]'></td>
				<td align='center' width='10%' class='$row_color' style='white-space:nowrap'>
				<a href='".FUSION_SELF."?&amp;ifolder=$ifolder&amp;del=$image_list[$i]&delt=$thumb'><img src='".INFUSIONS."book_panel/images/error.png' title='".$locale['ab_261']."'></a></td>
				</tr>\n";
				}
			
			}
			if ($settings['tinymce_enabled'] == 1) echo "<tr>\n<td align='center' colspan='2' class='tbl1'><a href='".FUSION_SELF."?&amp;ifolder=$ifolder&amp;action=update'>".$locale['ab_262']."</a></td>\n</tr>\n";
		}
		else
		{
		echo "<tr>\n<td align='center' class='tbl1'>".$locale['ab_263']."</td>\n</tr>\n";
		}
		echo "</table>\n";
		closetable();
}
// +++++++++++++++++++++++++
// Ende Bildupload fr Cover
// +++++++++++++++++++++++++

echo "<table align='center'><tr><td align='center'><a href='".INFUSIONS."book_panel/admin/main.php' target=_self><b>".$locale['ab_264']."</b></a></td></tr></table>";

require_once BASEDIR."footer.php";

?>