<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| ..:: @book_panel for PHP-Fusion v6.01.x ::..
| by Stefan Noss --- [@ster]
| eMail: webmaster@edsterathome.de
| Web: http://www.edsterathome.de
| ---------------------------------------------------+
| Copyright  2006 Stefan Nnoss
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../../../maincore.php";
require_once BASEDIR."subheader.php";
require_once ADMIN."navigation.php";

// LOKALE SPRACHDATEI PRFEN
if (file_exists(INFUSIONS."book_panel/locale/".$settings['locale'].".php")) {
	include	INFUSIONS."book_panel/locale/".$settings['locale'].".php";
}	else {
	include	INFUSIONS."book_panel/locale/English.php";
}

// Zugriffsrechte prfen
if(!checkRights("IP")) {fallback("../error.php");}

// ++++++++++++++++++++++
// Bildupload fr Flaggen
// ++++++++++++++++++++++
$booksfolder = "".INFUSIONS."book_panel/images/flags/";
if (!isset($ifolder)) $ifolder = "flags";

if (isset($action) && $action = "update") include INCLUDES."buildlist.php";

if ($ifolder == "flags") { $afolder = $booksfolder; }

if (isset($status)) {
	if ($status == "del") {
		$title = "".$locale['ab_266']."";
		$message = "<b>".$locale['ab_267']."</b>";
	} elseif ($status == "upn") {
		$title = "".$locale['ab_266']."";
		$message = "<b>".$locale['ab_268']."</b>";
	} elseif ($status == "upy") {
		$title = "".$locale['ab_266']."";
		$message = "<b>".$locale['ab_269']."</b>";
	}
	opentable($locale['ab_270']);
	echo "<div align='center'>".$message."</div>\n";
	closetable();
	tablebreak();
}

if (isset($del)) {
	unlink($afolder."$del");
	if ($settings['tinymce_enabled'] == 1) include INCLUDES."buildlist.php";
	redirect(FUSION_SELF."?&status=del&ifolder=$ifolder");
} else if (isset($_POST['uploadimage'])) {
	$error = "";
	$image_types = array(
		".gif",
		".GIF",
		".jpeg",
		".JPEG",
		".jpg",
		".JPG",
		".png",
		".PNG"
	);
	$imgext = strrchr($_FILES['myfile']['name'], ".");
	$imgname = $_FILES['myfile']['name'];
	$imgsize = $_FILES['myfile']['size'];
	$imgtemp = $_FILES['myfile']['tmp_name'];
	if (!in_array($imgext, $image_types)) {
		redirect(FUSION_SELF."?&status=upn&ifolder=$ifolder");
	} elseif (is_uploaded_file($imgtemp)){
		move_uploaded_file($imgtemp, $afolder.$imgname);
		chmod($afolder.$imgname,0644);
		if ($settings['tinymce_enabled'] == 1) include INCLUDES."buildlist.php";
		redirect(FUSION_SELF."?&status=upy&ifolder=$ifolder&img=$imgname");
	}
} else {
	opentable($locale['ab_270']);
	echo "<table class='tbl-border' align='center' cellpadding='0' cellspacing='0' width='50%'>
	<form name='uploadform' method='post' action='".FUSION_SELF."?&amp;ifolder=$ifolder' enctype='multipart/form-data'>
<tr>
<td width='30%' class='tbl2'>".$locale['ab_271']."</td>
<td class='tbl2'><input type='file' name='myfile' class='textbox' style='width:250px;'></td>
</tr>
<tr>
<td align='center' colspan='2' class='tbl1'>
<input type='submit' name='uploadimage' value='".$locale['ab_272']."' class='button' style='width:100px;'></td>
</tr>
</form>
</table>\n";

echo "<p><table align='center'><tr><td align='center'><a href='".INFUSIONS."book_panel/admin/main.php' target=_self><b>".$locale['ab_277']."</b></a></td></tr></table>";

	closetable();
	tablebreak();
	
		$image_list = makefilelist($afolder, ".|..|imagelist.js|index.php", true);
		if ($image_list) { $image_count = count($image_list); }
		opentable($locale['ab_278']);
		echo "<table align='center' cellpadding='0' cellspacing='1' width='40%' class='tbl-border'>
		<tr>
		<td align='center' colspan='2' class='tbl2'><b>".$locale['ab_273']."</b></td>
		</tr>\n";
		if ($image_list)
		{
		for ($i=0;$i < $image_count;$i++)
			{
			if ($i % 2 == 0) { $row_color = "tbl1"; } else { $row_color = "tbl2"; }
				echo "<tr>\n<td class='$row_color'><img src='".INFUSIONS."book_panel/images/flags/$image_list[$i]'> [$image_list[$i]]</td>
				<td align='right' width='1%' class='$row_color' style='white-space:nowrap'>
				<a href='".FUSION_SELF."?&amp;ifolder=$ifolder&amp;del=$image_list[$i]'><img src='".INFUSIONS."book_panel/images/error.png' title='".$locale['ab_274']."'></a></td>
				</tr>\n";
			}
			if ($settings['tinymce_enabled'] == 1) echo "<tr>\n<td align='center' colspan='2' class='tbl1'><a href='".FUSION_SELF."?&amp;ifolder=$ifolder&amp;action=update'>".$locale['ab_275']."</a></td>\n</tr>\n";
		}
		else
		{
		echo "<tr>\n<td align='center' class='tbl1'>".$locale['ab_276']."</td>\n</tr>\n";
		}
		echo "</table>\n";
		closetable();
}
// +++++++++++++++++++++++++++
// Ende Bildupload fr Flaggen
// +++++++++++++++++++++++++++

echo "<table align='center'><tr><td align='center'><a href='".INFUSIONS."book_panel/admin/main.php' target=_self><b>".$locale['ab_277']."</b></a></td></tr></table>";

require_once BASEDIR."footer.php";

?>