<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| ..:: @book_panel for PHP-Fusion v6.01.x ::..
| by Stefan Noss --- [@ster]
| eMail: webmaster@edsterathome.de
| Web: http://www.edsterathome.de
| ---------------------------------------------------+
| Copyright  2006 Stefan Nnoss
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
if(!defined("IN_FUSION") || !checkrights("I")) {
	header("Location:../../index.php");
	exit;
}

// INFUSION INFORMATION
$inf_title = "@Buchpanel";
$inf_description = "Infusion zur Vorstellung von Bchern und anderern Lektren";
$inf_version = "1.1";
$inf_developer = "Stefan Noss";
$inf_email = "webmaster@edsterathome.de";
$inf_weburl = "http://www.edsterathome.de";

// INFUSION PFADE
$inf_folder = "book_panel";
$inf_admin_image = "infusions.gif";
$inf_admin_panel = "admin/main.php";

$inf_link_name = $inf_title;
$inf_link_url = "books.php";

$inf_newtables = 4;
$inf_insertdbrows = 1;
$inf_altertables = 0;

// DATENBANK TABELLEN ERSTELLEN 
$inf_newtable_[1] = "atbooks (
	book_id smallint(5) unsigned NOT NULL auto_increment,
	book_cat_id smallint(5) NOT NULL default '0',
	book_title varchar(255) NOT NULL default '',
	book_tipp tinyint(1) unsigned NOT NULL default '0',
	book_autor varchar(100) NOT NULL default '',
	book_image text NOT NULL,
	book_image_h smallint(3) NOT NULL default '0',
	book_image_w smallint(3) NOT NULL default '0',
	book_published varchar(50) NOT NULL default '',
	book_auflage varchar(50) NOT NULL default '',
	book_language varchar(50) NOT NULL default '',
	book_language_flag text NOT NULL,
	book_content text NOT NULL,
	book_comment text NOT NULL,
	book_publisher varchar(255) NOT NULL default '',
	book_publisher_logo text NOT NULL,
	book_publisher_logo_w smallint(3) NOT NULL default '0',
	book_publisher_logo_h smallint(3) NOT NULL default '0',
	book_isbn varchar(50) NOT NULL default '',
	book_link text NOT NULL,
	book_hits smallint(10) NOT NULL default '0',
	book_datestamp int(10) unsigned NOT NULL default '0',
	PRIMARY KEY (book_id)
) TYPE=MyISAM;";

$inf_newtable_[2] = "atbook_cats (
	book_cat_id smallint(5) unsigned NOT NULL auto_increment,
	book_top_cat smallint(5) NOT NULL default '0',
	book_cat_name varchar(100) NOT NULL default '',
	book_cat_description varchar(255) NOT NULL default '',
	book_cat_access tinyint(3) unsigned NOT NULL default '0',
	PRIMARY KEY (book_cat_id)
) TYPE=MyISAM;";

$inf_newtable_[3] = "atbook_comments (
	comment_id smallint(5) unsigned NOT NULL auto_increment,
	comment_book_id smallint(5) unsigned NOT NULL default '0',
	comment_comment text NOT NULL,
	comment_user_id smallint(5) unsigned NOT NULL default '0',
	comment_user_name varchar(50) NOT NULL default '',
	comment_datestamp int(10) unsigned NOT NULL default '0',
	PRIMARY KEY (comment_id)
) TYPE=MyISAM;";

$inf_newtable_[4] = "atbook_settings (
	id smallint(6) unsigned NOT NULL auto_increment,
	title varchar(255) NOT NULL default 'Buchvorstellung',
	access_global tinyint(3) unsigned NOT NULL default '0',
	access_comments tinyint(3) unsigned NOT NULL default '101',
	PRIMARY KEY (id)
) TYPE=MyISAM;";

$inf_insertdbrow_[1] = "atbook_settings (id, title, access_global, access_comments) VALUES ('1', 'Buchvorstellungen', '0', '101')";


// BEI DEINSTALLATION DER INFUSION TABELLEN AUS DATENBANK ENTFERNEN
$inf_droptable_[1] = "atbooks";
$inf_droptable_[2] = "atbook_cats";
$inf_droptable_[3] = "atbook_comments";
$inf_droptable_[4] = "atbook_settings";

?>
