<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| ..:: @book_panel for PHP-Fusion v6.01.x ::..
| by Stefan Noss --- [@ster]
| eMail: webmaster@edsterathome.de
| Web: http://www.edsterathome.de
| ---------------------------------------------------+
| Copyright  2006 Stefan Nnoss
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../../../maincore.php";
require_once BASEDIR."subheader.php";
require_once ADMIN."navigation.php";

include INCLUDES."buildlist.php";

// LOKALE SPRACHDATEI PRFEN
if (file_exists(INFUSIONS."book_panel/locale/".$settings['locale'].".php")) {
	include	INFUSIONS."book_panel/locale/".$settings['locale'].".php";
}	else {
	include	INFUSIONS."book_panel/locale/English.php";
}

// Zugriffsrechte prfen
if(!checkRights("IP")) {fallback("../error.php");}

$now = time();

// Buch in DB eintragen
if ($add_book)
{
	if ($addbookid != "")
	{
	$set_book_categorie = stripinput($_POST['book_categorie']);
	$set_book_title = stripinput($_POST['book_title']);
	$set_book_tipp = isset($_POST['book_tipp']) ? "1" : "0";
	$set_book_autor = stripinput($_POST['book_autor']);
		if ($_POST['book_image'] == ""){$set_book_image = "1";}
		else{$set_book_image = stripinput($_POST['book_image']);}
	$set_book_image_h = stripinput($_POST['book_image_h']);
	$set_book_image_w = stripinput($_POST['book_image_w']);
	$set_book_published = stripinput($_POST['book_published']);
	$set_book_auflage = stripinput($_POST['book_auflage']);
	$set_book_language = stripinput($_POST['book_language']);
		if ($_POST['book_language_flag'] == ""){$set_book_language_flag = "1";}
		else{$set_book_language_flag = stripinput($_POST['book_language_flag']);}
	$set_book_content = addslash(preg_replace("(^<p>\s</p>$)", "", $_POST['book_content']));
	$set_book_comment = addslash(preg_replace("(^<p>\s</p>$)", "", $_POST['book_comment']));
	$set_book_publisher = stripinput($_POST['book_publisher']);
		if ($_POST['book_publisher_logo'] == ""){$set_book_publisher_logo = "1";}
		else{$set_book_publisher_logo = stripinput($_POST['book_publisher_logo']);}
	$set_book_publisher_logo_w = stripinput($_POST['book_publisher_logo_w']);
	$set_book_publisher_logo_h = stripinput($_POST['book_publisher_logo_h']);
	$set_book_isbn = stripinput($_POST['book_isbn']);
	$set_book_link = stripinput($_POST['book_link']);
	
	if ($_POST['book_title'] == "")
	{
	opentable($locale['ab_116']);
	echo $locale['ab_117'];
	echo $locale['ab_118'];
	closetable();
	}
	elseif ($_POST['book_categorie'] == "0")
	{
	opentable($locale['ab_116']);
	echo $locale['ab_119'];
	echo $locale['ab_118'];
	closetable();
	}
	elseif ($_POST['book_language'] == "")
	{
	opentable($locale['ab_116']);
	echo $locale['ab_120'];
	echo $locale['ab_118'];
	closetable();
	}
	elseif ($_POST['book_content'] == "")
	{
	opentable($locale['ab_116']);
	echo $locale['ab_121'];
	echo $locale['ab_118'];
	closetable();
	}
	else
	{
	$update = dbquery("UPDATE ".$db_prefix."atbooks SET"
	." book_cat_id='$set_book_categorie', book_title='$set_book_title', book_tipp='$set_book_tipp', book_autor='$set_book_autor', book_image='$set_book_image',"
	." book_image_h='$set_book_image_h', book_image_w='$set_book_image_w', book_published='$set_book_published',"
	." book_auflage='$set_book_auflage', book_language='$set_book_language', book_language_flag='$set_book_language_flag',"
	." book_content='$set_book_content', book_comment='$set_book_comment', book_publisher='$set_book_publisher',"
	." book_publisher_logo='$set_book_publisher_logo', book_publisher_logo_w='$set_book_publisher_logo_w',"
	." book_publisher_logo_h='$set_book_publisher_logo_h', book_isbn='$set_book_isbn', book_link='$set_book_link'"
	." WHERE book_id='$addbookid'");
	
	opentable($locale['ab_116']);
	echo "".$locale['ab_122']."<br>";
	echo "<a href='".INFUSIONS."book_panel/admin/book_add.php' target=_self><b>Refresh</b></a>";
	closetable();
	tablebreak();
	}
	}
	else
	{
	$new_book_categorie = stripinput($_POST['book_categorie']);
	$new_book_title = stripinput($_POST['book_title']);
	$new_book_tipp = isset($_POST['book_tipp']) ? "1" : "0";
	$new_book_autor = stripinput($_POST['book_autor']);
		if ($_POST['book_image'] == ""){$new_book_image = "1";}
		else{$new_book_image = stripinput($_POST['book_image']);}
	$new_book_image_h = stripinput($_POST['book_image_h']);
	$new_book_image_w = stripinput($_POST['book_image_w']);
	$new_book_published = stripinput($_POST['book_published']);
	$new_book_auflage = stripinput($_POST['book_auflage']);
	$new_book_language = stripinput($_POST['book_language']);
		if ($_POST['book_language_flag'] == ""){$new_book_language_flag = "1";}
		else{$new_book_language_flag = stripinput($_POST['book_language_flag']);}
	$new_book_content = addslash(preg_replace("(^<p>\s</p>$)", "", $_POST['book_content']));
	$new_book_comment = addslash(preg_replace("(^<p>\s</p>$)", "", $_POST['book_comment']));
	$new_book_publisher = stripinput($_POST['book_publisher']);
		if ($_POST['book_publisher_logo'] == ""){$new_book_publisher_logo = "1";}
		else{$new_book_publisher_logo = stripinput($_POST['book_publisher_logo']);}
	$new_book_publisher_logo_w = stripinput($_POST['book_publisher_logo_w']);
	$new_book_publisher_logo_h = stripinput($_POST['book_publisher_logo_h']);
	$new_book_isbn = stripinput($_POST['book_isbn']);
	$new_book_link = stripinput($_POST['book_link']);
	
	if ($_POST['book_title'] == "")
	{
	opentable($locale['ab_116']);
	echo $locale['ab_117'];
	echo $locale['ab_118'];
	closetable();
	}
	elseif ($_POST['book_categorie'] == "0")
	{
	opentable($locale['ab_116']);
	echo $locale['ab_119'];
	echo $locale['ab_118'];
	closetable();
	}
	elseif ($_POST['book_language'] == "")
	{
	opentable($locale['ab_116']);
	echo $locale['ab_120'];
	echo $locale['ab_118'];
	closetable();
	}
	elseif ($_POST['book_content'] == "")
	{
	opentable($locale['ab_116']);
	echo $locale['ab_121'];
	echo $locale['ab_118'];
	closetable();
	}
	else
	{
	$insert = dbquery("INSERT INTO ".$db_prefix."atbooks"
	." (book_id, book_cat_id, book_title, book_tipp, book_autor, book_image, book_image_h, book_image_w, book_published, book_auflage,"
	." book_language, book_language_flag, book_content, book_comment, book_publisher, book_publisher_logo,"
	." book_publisher_logo_w, book_publisher_logo_h, book_isbn, book_link, book_datestamp)"
	." VALUES"
	." ('', '$new_book_categorie', '$new_book_title', '$new_book_tipp', '$new_book_autor', '$new_book_image', '$new_book_image_h', '$new_book_image_w',"
	." '$new_book_published', '$new_book_auflage', '$new_book_language', '$new_book_language_flag', '$new_book_content',"
	." '$new_book_comment', '$new_book_publisher', '$new_book_publisher_logo', '$new_book_publisher_logo_w',"
	." '$new_book_publisher_logo_h', '$new_book_isbn', '$new_book_link', '$now')");

opentable($locale['ab_123']);
echo $locale['ab_124'];
echo "<a href='".INFUSIONS."book_panel/admin/book_add.php' target=_self><b>Refresh</b></a>";
closetable();
tablebreak();
	}
}
}

// Lschen eines Buches
if ($delete)
{
$del_book = dbquery("DELETE FROM ".$db_prefix."atbooks WHERE book_id='$booklist'");
opentable($locale['ab_125']);
echo $locale['ab_126'];
echo "<a href='".INFUSIONS."book_panel/admin/book_add.php' target=_self><b>Refresh</b></a>";
closetable();
}

opentable($locale['ab_127']);
tablebreak();

// ---------------
// Buch bearbeiten
// ---------------
echo "<table width='100%' class='tbl-border' align='center' cellpadding='0' cellspacing='0'>";
echo "<form name='editbook' method='post' action='".FUSION_SELF."'>";

echo "<tr>";
echo "<td colspan='4' class='tbl2'><b>".$locale['ab_128']."</b></td>";
echo "</tr>";

// Auswahl des zu bearbeitenden Buches
echo "<tr>";
echo "<td class='tbl1'><b>".$locale['ab_129']."</b></td>";
echo "<td colspan='2' class='tbl1'>";
	$result2 = dbquery("SELECT * FROM ".$db_prefix."atbooks ORDER BY book_title");
		
		echo "<select name='booklist' class='textbox' size='1'>";
		echo "<option value='0'>".$locale['ab_130']."</option>";
			
			while ($data2 = dbarray($result2))
			{
				echo "<option value='".$data2['book_id']."'>".$data2['book_title']."</option>";
			}
		echo "</select>";
echo "</td>";

echo "<td width='55%' class='tbl1'>
<input type='submit' name='edit_book' value='".$locale['ab_131']."' class='button'>
<input type='submit' name='delete' value='".$locale['ab_132']."' class='button'>
</td>";
echo "</tr>";

echo "</form>";
echo "</table>";

echo "<hr>";

if (isset($edit_book))
{
	if  ($booklist == "0")
	{
	echo "<font color=red><b>".$locale['ab_133']."</b></font>";
	echo "<hr>";
	}
	else
	{
	$edit_result = dbquery("SELECT * FROM ".$db_prefix."atbooks WHERE book_id='$booklist'");
	$edit_data = dbarray($edit_result);
	
	$edit_book_id = $edit_data['book_id'];
	$edit_book_categorie = $edit_data['book_cat_id'];
		$select_cat = dbquery("SELECT * FROM ".$db_prefix."atbook_cats WHERE book_cat_id='$edit_book_categorie'");
		$select_cat_data = dbarray($select_cat);
		$cat_id = $select_cat_data['book_cat_id'];
		$cat_name = $select_cat_data['book_cat_name'];
	$edit_book_title = $edit_data['book_title'];
	$book_tipp = $edit_data['book_tipp'] == "1" ? " checked" : "";
	$edit_book_autor = $edit_data['book_autor'];
	$edit_book_image = $edit_data['book_image'];
	$edit_book_image_h = $edit_data['book_image_h'];
	$edit_book_image_w = $edit_data['book_image_w'];
	$edit_book_published = $edit_data['book_published'];
	$edit_book_auflage = $edit_data['book_auflage'];
	$edit_book_language = $edit_data['book_language'];
	$edit_book_language_flag = $edit_data['book_language_flag'];
	$book_content = stripslashes($edit_data['book_content']);
	$book_comment = stripslashes($edit_data['book_comment']);
	$edit_book_publisher = $edit_data['book_publisher'];
	$edit_book_publisher_logo = $edit_data['book_publisher_logo'];
	$edit_book_publisher_logo_w = $edit_data['book_publisher_logo_w'];
	$edit_book_publisher_logo_h = $edit_data['book_publisher_logo_h'];
	$edit_book_isbn = $edit_data['book_isbn'];
	$edit_book_link = $edit_data['book_link'];
	}
}

// ---------------
// Buch hinzufgen
// ---------------
echo "<table width='100%' class='tbl-border' align='center' cellpadding='0' cellspacing='0'>";
echo "<form name='inputform' method='post' action='".FUSION_SELF."'>";

echo "<tr>";
echo "<td colspan='3' class='tbl2'><b>".$locale['ab_134']."</b></td>";
echo "</tr>";

// Angabe Titels
echo "<tr>";
echo "<td class='tbl2' width='20%'><b>".$locale['ab_135']."</b> ".$locale['ab_136']."</td>";
echo "<td class='tbl1'>";
echo "<input type='text' value='$edit_book_title' name='book_title' maxlength='100' class='textbox' style='width:100%'>";
echo "</td><td class='tbl1'>";
echo "<input type='checkbox' name='book_tipp' value='yes' onClick='SetRatings();'$book_tipp> ".$locale['ab_137']."";
echo "</td>";
echo "</tr>";

// Auswahl des Covers
echo "<tr>";
echo "<td class='tbl2'><b>".$locale['ab_138']."</b></td>";
	echo "<td colspan='2' class='tbl1'>";
	$booksfolder = "".INFUSIONS."book_panel/images/books/";
	if (!isset($ifolder3)) $ifolder3 = "books";
	if ($ifolder3 == "books") { $bfolder = $booksfolder; }
	$image_list3 = makefilelist($bfolder, ".|..|imagelist.js|index.php", true);
	if ($image_list3) { $image_count3 = count($image_list3); }
	
		if ($image_list3)
		{
		echo "<select name='book_image' class='textbox' size='1'>";
			if ($edit_book_image != "1")
			{
			echo "<option value='$edit_book_image'>$edit_book_image</option>";
			echo "<option value='1'>".$locale['ab_139']."</option>";
			}
			elseif ($edit_book_image == "1")
			{
			echo "<option value='1'>".$locale['ab_140']."</option>";
			echo "<option value='1'>".$locale['ab_139']."</option>";
			}
			else
			{
			echo "<option value='1'>".$locale['ab_140']."</option>";
			echo "<option value='1'>".$locale['ab_139']."</option>";
			}
		for ($i=0;$i < $image_count3;$i++)
			{
				echo "<option value='$image_list3[$i]'>$image_list3[$i]</option>";
			}
		echo "</select>";
		}
		else
		{
		echo "<option value='-'>".$locale['ab_141']."</option>";
		}
	echo "<br>".$locale['ab_142']." ";
		if ($edit_book_image_h == ""){$edit_book_image_h = "240";}
		echo "<input type='text' value='$edit_book_image_h' name='book_image_h' maxlength='3' class='textbox' style='width:10%'>";
	echo " ".$locale['ab_143']." ";
		if ($edit_book_image_w == ""){$edit_book_image_w = "180";}
		echo "<input type='text' value='$edit_book_image_w' name='book_image_w' maxlength='3' class='textbox' style='width:10%'>";
	echo "&nbsp;".$locale['ab_144']."</td>";
	echo "</tr>";

// Angabe der Kategorie
echo "<tr>";
echo "<td class='tbl1'><b>".$locale['ab_145']."</b> <font color=red>*</font></td>";
echo "<td colspan='2' class='tbl1'>";
	$result = dbquery("SELECT * FROM ".$db_prefix."atbook_cats ORDER BY book_cat_name");
		
		echo "<select name='book_categorie' class='textbox' size='1'>";
			if ($edit_book_categorie != "")
			{
			echo "<option value='$cat_id'>$cat_name</option>";
			}
			else {echo "<option value='0'>".$locale['ab_146']."</option>";}
			
			while ($data = dbarray($result))
			{
				if ($data['book_cat_name'] == "")
				{
				echo "<option value='-'>".$locale['ab_147']."</option>";
				}
				else
				{
				echo "<option value='".$data['book_cat_id']."'>".$data['book_cat_name']."</option>";
				}
			}
		echo "</select>";
echo "</td>";
echo "</tr>";

// Name des Autors
echo "<tr>";
echo "<td class='tbl2' width='20%'><b>".$locale['ab_148']."</b><br>".$locale['ab_149']."</td>";
echo "<td colspan='2' class='tbl1'>";
echo "<input type='text' value='$edit_book_autor' name='book_autor' maxlength='100' class='textbox' style='width:20%'>";
echo "</td>";
echo "</tr>";

// Verffentlichungsdatum
echo "<tr>";
echo "<td class='tbl2' width='20%'><b>".$locale['ab_150']."</b><br>".$locale['ab_151']."</td>";
echo "<td class='tbl1'>";
echo "<input type='text' value='$edit_book_published' name='book_published' maxlength='50' class='textbox' style='width:100%'>";
echo "</td>";
echo "<td class='tbl1'>".$locale['ab_152']."</td>";
echo "</tr>";

// Auswahl Sprache und Flaggen fr Sprache
$flagsfolder = "".INFUSIONS."book_panel/images/flags/";
if (!isset($ifolder)) $ifolder = "flags";
if ($ifolder == "flags") { $afolder = $flagsfolder; }
echo "<tr>";
echo "<td class='tbl2'><b>".$locale['ab_153']."</b> <font color=red>*</font><br>".$locale['ab_154']."</td>";
echo "<td class='tbl1'>";
echo "<input type='text' value='$edit_book_language' name='book_language' maxlength='100' class='textbox' style='width:100%'>";
echo "</td>";

echo "<td align='center' class='tbl1'>";
	
	$image_list = makefilelist($afolder, ".|..|imagelist.js|index.php", true);
	if ($image_list) { $image_count = count($image_list); }
	
		if ($image_list)
		{
		echo "<select name='book_language_flag' class='textbox' size='1'>";
			if ($edit_book_language_flag != "1")
			{
			echo "<option value='$edit_book_language_flag'>$edit_book_language_flag</option>";
			echo "<option value='1'>".$locale['ab_155']."</option>";
			}
			elseif ($edit_book_language_flag == "1")
			{
			echo "<option value='1'>".$locale['ab_156']."</option>";
			echo "<option value='1'>".$locale['ab_155']."</option>";
			}
			else
			{
			echo "<option value='1'>".$locale['ab_156']."</option>";
			echo "<option value='1'>".$locale['ab_155']."</option>";
			}
			
		for ($i=0;$i < $image_count;$i++)
			{
				echo "<option value='$image_list[$i]'>$image_list[$i]</option>";
			}
		echo "</select>";
		}
		else
		{
		echo "<option value='-'>".$locale['ab_157']."</option>";
		}
echo "<br>";
echo "".$locale['ab_158']."";
echo "</td>";
echo "</tr>";

// Angabe der Auflage
echo "<tr>";
echo "<td class='tbl2' width='20%'><b>".$locale['ab_159']."</b><br>".$locale['ab_160']."</td>";
echo "<td class='tbl1'>";
echo "<input type='text' value='$edit_book_auflage' name='book_auflage' maxlength='50' class='textbox' style='width:100%'>";
echo "</td>";
echo "<td class='tbl1'>".$locale['ab_161']."</td>";
echo "</tr>";

// Inhalt des Buches
echo "<tr>";
echo "<td class='tbl2' width='20%'><b>".$locale['ab_162']."</b> <font color=red>*</font></td>";
echo "<td class='tbl1' colspan='2'>";
echo "<textarea style='width:100%' cols='45' rows='4' type='text' class='textbox' name='book_content'>$book_content</textarea>";
echo "<br>";
echo "
<input type='button' value='b' class='button' style='font-weight:bold;width:25px;' onClick=\"addText('book_content', '<b>', '</b>');\">
<input type='button' value='i' class='button' style='font-style:italic;width:25px;' onClick=\"addText('book_content', '<i>', '</i>');\">
<input type='button' value='u' class='button' style='text-decoration:underline;width:25px;' onClick=\"addText('book_content', '<u>', '</u>');\">
<input type='button' value='center' class='button' style='width:45px;' onClick=\"addText('book_content', '<center>', '</center>');\">
<input type='button' value='small' class='button' style='width:40px;' onClick=\"addText('book_content', '<span class=\'small\'>', '</span>');\">
<input type='button' value='small2' class='button' style='width:45px;' onClick=\"addText('book_content', '<span class=\'small2\'>', '</span>');\">
<input type='button' value='alt' class='button' style='width:25px;' onClick=\"addText('book_content', '<span class=\'alt\'>', '</span>');\">
";
echo "</td>";
echo "</tr>";

// Kommentar zum Buch
echo "<tr>";
echo "<td class='tbl2' width='20%'><b>".$locale['ab_163']."</b><br>".$locale['ab_164']."</td>";
echo "<td class='tbl1' colspan='2'>";
echo "<textarea style='width:100%' cols='45' rows='4' type='text' class='textbox' name='book_comment'>$book_comment</textarea>";
echo "<br>";
echo "
<input type='button' value='b' class='button' style='font-weight:bold;width:25px;' onClick=\"addText('book_comment', '<b>', '</b>');\">
<input type='button' value='i' class='button' style='font-style:italic;width:25px;' onClick=\"addText('book_comment', '<i>', '</i>');\">
<input type='button' value='u' class='button' style='text-decoration:underline;width:25px;' onClick=\"addText('book_comment', '<u>', '</u>');\">
<input type='button' value='center' class='button' style='width:45px;' onClick=\"addText('book_comment', '<center>', '</center>');\">
<input type='button' value='small' class='button' style='width:40px;' onClick=\"addText('book_comment', '<span class=\'small\'>', '</span>');\">
<input type='button' value='small2' class='button' style='width:45px;' onClick=\"addText('book_comment', '<span class=\'small2\'>', '</span>');\">
<input type='button' value='alt' class='button' style='width:25px;' onClick=\"addText('book_comment', '<span class=\'alt\'>', '</span>');\">
";
echo "</td>";
echo "</tr>";

// Angabe des Verlags
echo "<tr>";
echo "<td class='tbl2' width='20%'><b>".$locale['ab_165']."</b><br>".$locale['ab_166']."</td>";
echo "<td class='tbl1'>";
echo "<input type='text' value='$edit_book_publisher' name='book_publisher' maxlength='100' class='textbox' style='width:100%'>";
echo "</td>";
echo "<td class='tbl1'>";
	
	$verlagsfolder = "".INFUSIONS."book_panel/images/verlag/";
	if (!isset($ifolder2)) $ifolder2 = "verlag";
	if ($ifolder2 == "verlag") { $vfolder = $verlagsfolder; }
	$image_list2 = makefilelist($vfolder, ".|..|imagelist.js|index.php", true);
	if ($image_list2) { $image_count2 = count($image_list2); }
	
		if ($image_list2)
		{
		echo "<select name='book_publisher_logo' class='textbox' size='1'>";
			if ($edit_book_publisher_logo != "1")
			{
			echo "<option value='$edit_book_publisher_logo'>$edit_book_publisher_logo</option>";
			echo "<option value='1'>".$locale['ab_167']."</option>";
			}
			elseif ($edit_book_publisher_logo == "1")
			{
			echo "<option value='1'>".$locale['ab_168']."</option>";
			echo "<option value='1'>".$locale['ab_167']."</option>";
			}
			else
			{
			echo "<option value='1'>".$locale['ab_168']."</option>";
			echo "<option value='1'>".$locale['ab_167']."</option>";
			}
			
		for ($i=0;$i < $image_count2;$i++)
			{
				echo "<option value='$image_list2[$i]'>$image_list2[$i]</option>";
			}
		echo "</select>";
		}
		else
		{
		echo "<option value='-'>".$locale['ab_169']."</option>";
		}

echo "<p>".$locale['ab_170']." ";
	if ($edit_book_publisher_logo_w == ""){$edit_book_publisher_logo_w = "50";}
	echo "<input type='text' value='$edit_book_publisher_logo_w' name='book_publisher_logo_w' maxlength='3' class='textbox' style='width:10%'>";
echo " ".$locale['ab_171']." ";
	if ($edit_book_publisher_logo_h == ""){$edit_book_publisher_logo_h = "50";}
	echo "<input type='text' value='$edit_book_publisher_logo_h' name='book_publisher_logo_h' maxlength='3' class='textbox' style='width:10%'>";

echo "</td>";
echo "</tr>";

// Angabe der ISBN-Nummer
echo "<tr>";
echo "<td class='tbl2' width='20%'><b>".$locale['ab_172']."</b><br>".$locale['ab_173']."</td>";
echo "<td colspan='2' class='tbl1'>";
echo "<input type='text' value='$edit_book_isbn' name='book_isbn' maxlength='50' class='textbox' style='width:27%'>";
echo "</td>";
echo "</tr>";

// Angabe des Links
echo "<tr>";
echo "<td class='tbl2' width='20%'><b>".$locale['ab_174']."</b><br>".$locale['ab_175']."</td>";
echo "<td class='tbl1'>";
echo "<input type='text' value='$edit_book_link' name='book_link' class='textbox' style='width:100%'>";
echo "</td>";
echo "<td class='tbl1'>".$locale['ab_176']."</td>";
echo "</tr>";

echo "<tr align='center'><td colspan='3' class='tbl1' colspan='2'>
	  <input type='hidden' name='addbookid' value='$edit_book_id'>
	  <input type='submit' name='add_book' value='".$locale['ab_177']."' class='button'></td></tr>";

echo "</form>";
echo "</table>";

	

echo "<table class='tbl1' width='100%'><tr><td align='center'><a href='".INFUSIONS."book_panel/admin/main.php' target=_self><b>".$locale['ab_178']."</b></a></td></tr></table>";
tablebreak();

closetable();



require_once BASEDIR."footer.php";

?>