<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| ..:: @book_panel for PHP-Fusion v6.01.x ::..
| by Stefan Noss --- [@ster]
| eMail: webmaster@edsterathome.de
| Web: http://www.edsterathome.de
| ---------------------------------------------------+
| Copyright  2006 Stefan Nnoss
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../../../maincore.php";
require_once BASEDIR."subheader.php";
require_once ADMIN."navigation.php";

// LOKALE SPRACHDATEI PRFEN
if (file_exists(INFUSIONS."book_panel/locale/".$settings['locale'].".php")) {
	include	INFUSIONS."book_panel/locale/".$settings['locale'].".php";
}	else {
	include	INFUSIONS."book_panel/locale/English.php";
}

// Zugriffsrechte prfen
if(!checkRights("IP")) {fallback("../error.php");}

opentable($locale['ab_181']);

// Kategorie bearbeiten - MEN
echo "<table width='100%' class='tbl-border' cellpadding='0' cellspacing='0'>";
echo "<form name='editcat' method='post' action='".FUSION_SELF."'>";

echo "<tr><td class='tbl2' colspan='2'>";
echo "<b>".$locale['ab_182']."</b>";
echo "</td></tr>";

echo "<tr><td class='tbl1' width='30%'>";
	$result = dbquery("SELECT * FROM ".$db_prefix."atbook_cats ORDER BY book_top_cat");
	
	echo "<select name='categories' class='textbox' size='1'>";
	echo "<option value='0'>".$locale['ab_183']."</option>";
		while ($data = dbarray($result))
		{
			if ($data['book_top_cat'] != "0")
			{
			$get_topcat = dbarray(dbquery("SELECT * FROM ".$db_prefix."atbook_cats WHERE book_cat_id='".$data['book_top_cat']."'"));
			$sel_topcat = $get_topcat['book_cat_name'];
			echo "<option value='".$data['book_cat_id']."'>".$data['book_cat_name']." [$sel_topcat]</option>";
			}
			else
			{
			echo "<option value='".$data['book_cat_id']."'>".$data['book_cat_name']."</option>";
			}
			
		}
	echo "</select>";
echo "</td>";
echo "<td class='tbl1'>
<input type='submit' name='edit' value='".$locale['ab_184']."' class='button'>&nbsp;
<input type='submit' name='delete' value='".$locale['ab_185']."' class='button'>
</td>";
echo "</tr>";

echo "</form></table>";

echo "<hr>";

if ($delete)
{
	if ($categories == "0")
	{
	echo "<font color=red><b>".$locale['ab_186']."</b></font>";
	echo "<hr>";
	}
	else
	{
		$check_topcat = dbarray(dbquery("SELECT * FROM ".$db_prefix."atbook_cats WHERE book_top_cat='$categories'"));
		$check_books = dbarray(dbquery("SELECT * FROM ".$db_prefix."atbooks WHERE book_cat_id='$categories'"));
			if ($check_topcat['book_top_cat'] == "$categories")
			{
			echo "<font color=red><b>".$locale['ab_187']."</b></font>";
			echo "<hr>";
			}
			elseif ($check_books['book_cat_id'] == "$categories")
			{
			echo "<font color=red><b>".$locale['ab_188']."<br>".$locale['ab_189']."</b></font>";
			echo "<hr>";			
			}
			else
			{
			$del_cat = dbquery("DELETE FROM ".$db_prefix."atbook_cats WHERE book_cat_id='$categories'");
			opentable($locale['ab_190']);
			echo "".$locale['ab_191']."<br>";
			echo "<a href='".INFUSIONS."book_panel/admin/cats.php' target=_self><b>Refresh</b></a>";
			closetable();
			tablebreak();
			}
	}
}

// Kategorie in DB hinzufgen / ndern
if ($add_cat)
{
	if ($addcatid != "")
	{
	$set_name = stripinput($_POST['cat_name']);
	$set_desc = stripinput($_POST['cat_description']);
	$set_access = $_POST['cat_access'];
	$set_top_cat = $_POST['topcat'];
	$set_top_cat_name = $_POST['topcat'];
		$update = dbquery("UPDATE ".$db_prefix."atbook_cats SET"
		." book_cat_name='$set_name', book_cat_description='$set_desc', book_top_cat='$set_top_cat',"
		." book_cat_access='$set_access' WHERE book_cat_id='$addcatid'");
	opentable($locale['ab_192']);
	echo "".$locale['ab_193']."<br>";
	echo "<a href='".INFUSIONS."book_panel/admin/cats.php' target=_self><b>Refresh</b></a>";
	closetable();
	}
	else
	{
		if ($cat_name == "")
		{
		opentable($locale['ab_194']);
		echo "<font color=red>".$locale['ab_195']."</span>";
		closetable();
		tablebreak();
		}
		elseif ($cat_description == "")
		{
		opentable($locale['ab_196']);
		echo "<font color=red>".$locale['ab_195']."</span>";
		closetable();
		tablebreak();
		}
		else
		{
		$insert = dbquery("INSERT INTO ".$db_prefix."atbook_cats (book_cat_id, book_top_cat, book_cat_name, book_cat_description, book_cat_access) VALUES ('', '$topcat', '$cat_name', '$cat_description', '$cat_access')");
		opentable($locale['ab_197']);
		echo "".$locale['ab_198']."<br>";
		echo "<a href='".INFUSIONS."book_panel/admin/cats.php' target=_self><b>Refresh</b></a>";
		closetable();
		}
	}
tablebreak();
}

if (isset($edit)) {

	if ($categories == "0")
	{
	echo "<font color=red><b>".$locale['ab_199']."</b></font>";
	echo "<hr>";
	}
	else
	{
	$edit_result = dbquery("SELECT * FROM ".$db_prefix."atbook_cats WHERE book_cat_id='$categories'");
	$edit_data = dbarray($edit_result);
	
	$edit_cat_id = $edit_data['book_cat_id'];
	$edit_top_cat = $edit_data['book_top_cat'];
	$edit_cat_name = $edit_data['book_cat_name'];
	$edit_cat_description = $edit_data['book_cat_description'];
	$edit_cat_access = $edit_data['book_cat_access'];
	}
}

// Kategorie hinzufgen - MEN
echo "<table width='100%' class='tbl-border' align='center' cellpadding='0' cellspacing='0'>";
echo "<form name='newcat' method='post' action='".FUSION_SELF."'>";

echo "<tr>";
echo "<td colspan='3' class='tbl2'><b>".$locale['ab_200']."</b></td>";
echo "</tr>";
echo "<tr><td class='tbl1' width='20%'>".$locale['ab_201']."<br>".$locale['ab_202']."</td>";
echo "<td class='tbl1'>";
echo "<input type='text' value='$edit_cat_name' name='cat_name' maxlength='100' class='textbox' style='width:100%'>";
echo "</td>";

echo "<td class='tbl1'>";
echo "".$locale['ab_203']." ";
	$result2 = dbquery("SELECT * FROM ".$db_prefix."atbook_cats");
	echo "<select name='topcat' class='textbox' size='1'>";
		
		if ($edit_top_cat != "0")
		{
		$topcat_name_select = dbarray(dbquery("SELECT * FROM ".$db_prefix."atbook_cats WHERE book_cat_id='$edit_top_cat'"));
		$topcat_name = $topcat_name_select['book_cat_name'];
		echo "<option value='$edit_top_cat'>$topcat_name</option>";
		}
		else
		{
		echo "<option value='0'>".$locale['ab_204']."</option>";
		}
		
		while ($data2 = dbarray($result2))
		{
		echo "<option value='".$data2['book_cat_id']."'>".$data2['book_cat_name']."</option>";
		}
	echo "</select>";
echo "&nbsp;".$locale['ab_205']."";
echo "</td>";

echo "</tr>";
echo "<tr><td class='tbl1' width='20%'>".$locale['ab_206']."<br>".$locale['ab_207']."</td>";
echo "<td colspan='2' class='tbl1'>";
echo "<textarea style='width:100%' cols='45' rows='3' type='text' maxlength='255' class='textbox' name='cat_description'>$edit_cat_description</textarea>";
echo "</td></tr>";

	echo "<tr><td class='tbl2'>".$locale['ab_208']."</td>";
	echo "<td class='tbl1' colspan='2'>";
	echo "<select name='cat_access' size='1' class='textbox'>";
		if($edit_cat_access == "0") {echo "<option selected value='0'>".$locale['ab_209']."</option>";}
		else {echo "<option value='0'>".$locale['ab_209']."</option>";}
		if($edit_cat_access == "101"){echo "<option selected value='101'>".$locale['ab_210']."</option>";}
		else {echo "<option value='101'>".$locale['ab_210']."</option>";}
		if($edit_cat_access == "102"){echo "<option selected value='102'>".$locale['ab_211']."</option>";}
		else {echo "<option value='102'>".$locale['ab_211']."</option>";}
		if($edit_cat_access == "103"){echo "<option selected value='103'>".$locale['ab_212']."</option>";}
		else {echo "<option value='103'>".$locale['ab_212']."</option>";}
	echo "</select>";
	echo "</td></tr>";

echo "<tr align='center'><td class='tbl1' colspan='3'>
		<input type='hidden' name='addcatid' value='$edit_cat_id'>
		<input type='submit' name='add_cat' value='".$locale['ab_213']."' class='button'></td></tr>";

echo "</form></table>";

closetable();
tablebreak();


echo "<table class='tbl1' width='100%'><tr><td align='center'><a href='".INFUSIONS."book_panel/admin/main.php' target=_self><b>".$locale['ab_214']."</b></a></td></tr></table>";
tablebreak();



closetable();


require_once BASEDIR."footer.php";

?>