<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| ..:: @book_panel for PHP-Fusion v6.01.x ::..
| by Stefan Noss --- [@ster]
| eMail: webmaster@edsterathome.de
| Web: http://www.edsterathome.de
| ---------------------------------------------------+
| Copyright  2006 Stefan Nnoss
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once BASEDIR."side_left.php";

// LOKALE SPRACHDATEI PRFEN
if (file_exists(INFUSIONS."book_panel/locale/".$settings['locale'].".php")) {
	include	INFUSIONS."book_panel/locale/".$settings['locale'].".php";
}	else {
	include	INFUSIONS."book_panel/locale/German.php";
}

// -----------------------------------
// Auflistung nach gewhlter Kategorie
// -----------------------------------
if (isset($bookcat))
{
$result = dbquery("SELECT * FROM ".$db_prefix."atbooks WHERE book_cat_id='$bookcat' ORDER BY book_title ASC");
$rows = dbrows($result);
$cat_name = dbarray(dbquery("SELECT * FROM ".$db_prefix."atbook_cats WHERE book_cat_id='$bookcat'"));

if ($rows != "0"){

opentable($locale['ab_076']);

echo "<table width='100%' class='tbl-border' cellpadding='0' cellspacing='1'>";
echo "<tr><td colspan='3' align='center' class='tbl2'><b><font size=2>".$locale['ab_077']."</b> ".$cat_name['book_cat_name']."</font></td></tr>";
echo "<tr>";
echo "<td width='20%' class='tbl2'>".$locale['ab_078']."</td>";
echo "<td width='60%' class='tbl2'>".$locale['ab_079']."</td>";
echo "<td width='20%' align='center' class='tbl2'>".$locale['ab_080']."</td>";
echo "</tr>";
echo "</table>";
tablebreak();

	while ($data = dbarray($result))
	{
	$cat_name = dbarray(dbquery("SELECT book_cat_name FROM ".$db_prefix."atbook_cats WHERE book_cat_id='".$data['book_cat_id']."' ORDER BY book_cat_name ASC"));
	$content = trimlink($data['book_content'], 200);
	
	echo "<table width='100%' class='textbox' cellpadding='0' cellspacing='1'>";
	echo "<tr>";
	echo "<td width='20%' align='center' class='tbl2'>".$data['book_title']."</td>";
	echo "<td width='60%' align='justify' class='tbl1'>$content</td>";
	echo "<td width='20%' align='center' class='tbl1'><a href='".INFUSIONS."book_panel/books.php?&bookid=".$data['book_id']."' target=_self>".$locale['ab_081']."</a></td>";
	echo "</tr>";
	echo "</table>";
	tablebreak();
	}
	echo "<hr><div align='center'><a href='".FUSION_SELF."' target=_self>".$locale['ab_082']."</a></div><hr>";
	
	closetable();
// Ende-If rows
}
else
{
opentable($locale['ab_076']);

echo "".$locale['ab_083']."";

closetable();
}
}


// ----------------------
// Auflistung nach Kriterium
// ----------------------
elseif (isset($_POST['select1']))
{

	if ($select_option == "0")
	{
	opentable($locale['ab_076']);
	
	echo "".$locale['ab_084']."";
	echo "<p><a href='".FUSION_SELF."' target=_self>".$locale['ab_082']."</a>";
	
	closetable();
	tablebreak();
	tablebreak();
	}
	
	// Suche nach Name
	elseif ($select_option == "1")
	{
	$result = dbquery("SELECT * FROM ".$db_prefix."atbooks ORDER BY book_title ASC");
	opentable($locale['ab_076']);
	
	echo "<table width='100%' class='textbox' cellpadding='0' cellspacing='1'>";
	echo "<tr>";
	echo "<td width='20%' class='tbl2'><font size='2'>".$locale['ab_109']."</font></td>";
	echo "<td class='tbl1'><font size='2'>".$locale['ab_085']."</font></td>";
	echo "<td width='15%' class='tbl1'></td>";
	echo "</tr>";
	echo "</table>";
	tablebreak();
	
		while ($data = dbarray($result))
		{
		$content = trimlink($data['book_content'], 200);
		
		echo "<table width='100%' class='textbox' cellpadding='0' cellspacing='0'>";
		echo "<tr>";
		echo "<td width='20%' class='tbl2'><b>".$data['book_title']."</b></td>";
		echo "<td align='justify' class='tbl1'>$content</td>";
		echo "<td width='15%' align='center' class='tbl1'><a href='".INFUSIONS."book_panel/books.php?&bookid=".$data['book_id']."' target=_self>".$locale['ab_081']."</a></td>";
		echo "</tr>";
		echo "</table>";
		tablebreak();
		
		}
	
	echo "<hr><div align='center'><a href='".FUSION_SELF."' target=_self>".$locale['ab_082']."</a></div><hr>";
	
	closetable();
	}

	// Suche nach Kategorie
	elseif ($select_option == "2")
	{
	
			$get_cats = dbquery("SELECT * FROM ".$db_prefix."atbook_cats WHERE book_top_cat='0' ORDER BY book_cat_name ASC");
			
			opentable($locale['ab_076']);
			
			echo "<table width='100%' class='tbl-border' cellpadding='0' cellspacing='1'>";
			echo "<tr><td align='center' class='tbl2'><b><font size=2>".$locale['ab_086']."</font></b></td></tr>";
			echo "</table>";
			tablebreak();
			
			echo "<table width='100%' class='tbl-border' cellpadding='0' cellspacing='1'>";
				while ($cats = dbarray($get_cats))
				{
					$get_childcats = dbquery("SELECT * FROM ".$db_prefix."atbook_cats WHERE book_top_cat='".$cats['book_cat_id']."'");
					
					echo "<tr>";
					echo "<td class='tbl2'><a href='".FUSION_SELF."?&bookcat=".$cats['book_cat_id']."' target=_self><b>".$cats['book_cat_name']."</b></a>";
					if ($childcats['book_top_cat'] != "0")
					{
						while ($childcats = dbarray($get_childcats))
						{
						echo "<tr><td class='tbl1'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<img src='".THEME."images/bullet.gif'>&nbsp;<a href='".FUSION_SELF."?&bookcat=".$childcats['book_cat_id']."' target=_self>".$childcats['book_cat_name']."</a></td></tr>";
						}
					}
					echo "</td>";
					echo "</tr>";
				}
			echo "</table>";
			closetable();
	}
	
	// Suche nach Treffern
	elseif ($select_option == "3")
	{
	opentable($locale['ab_076']);
	
	$result = dbquery("SELECT * FROM ".$db_prefix."atbooks ORDER BY book_hits DESC");
	
	echo "<table width='100%' class='tbl-border' cellpadding='0' cellspacing='1'>";
	echo "<tr><td align='center' class='tbl2'><b><font size=2>".$locale['ab_087']."</font><br>".$locale['ab_088']."</b></td></tr>";
	echo "</table>";
	tablebreak();
	
	while ($data = dbarray($result))
	{
		$content = trimlink($data['book_content'], 200);
		$hits = $data['book_hits'];
		$date = date("d.m.Y", $data['book_datestamp']);
		
		echo "<table width='100%' class='textbox' cellpadding='0' cellspacing='0'>";
		echo "<tr>";
		echo "<td width='20%' class='tbl2'><b>".$data['book_title']."</b></td>";
		echo "<td align='justify' class='tbl1'>$content</td>";
		echo "<td width='15%' align='center' class='tbl1'><a href='".INFUSIONS."book_panel/books.php?&bookid=".$data['book_id']."' target=_self>".$locale['ab_076']."</a></td>";
		echo "</tr>";
		echo "<tr><td align='center' colspan='3' class='tbl1'>$hits ".$locale['ab_089']." &middot; ".$locale['ab_090']." $date</td></tr>";
		echo "</table>";
		tablebreak();
	}
	
	echo "<hr><div align='center'><a href='".FUSION_SELF."' target=_self>".$locale['ab_082']."</a></div><hr>";
	
	closetable();
	}

	// Suche der neuesten Eintrge
	elseif ($select_option == "4")
	{
	opentable($locale['ab_076']);
	
	$result = dbquery("SELECT * FROM ".$db_prefix."atbooks ORDER BY book_datestamp DESC");
	
	echo "<table width='100%' class='tbl-border' cellpadding='0' cellspacing='1'>";
	echo "<tr><td align='center' class='tbl2'><b><font size=2>".$locale['ab_091']."</font><br>".$locale['ab_092']."</b></td></tr>";
	echo "</table>";
	tablebreak();
	
	while ($data = dbarray($result))
	{
		$content = trimlink($data['book_content'], 200);
		$date = date("d.m.Y", $data['book_datestamp']);
		$hits = $data['book_hits'];
		
		echo "<table width='100%' class='textbox' cellpadding='0' cellspacing='0'>";
		echo "<tr>";
		echo "<td width='20%' class='tbl2'><b>".$data['book_title']."</b></td>";
		echo "<td align='justify' class='tbl1'>$content</td>";
		echo "<td width='15%' align='center' class='tbl1'><a href='".INFUSIONS."book_panel/books.php?&bookid=".$data['book_id']."' target=_self>".$locale['ab_081']."</a></td>";
		echo "</tr>";
		echo "<tr><td align='center' colspan='3' class='tbl1'>$hits ".$locale['ab_089']." &middot; ".$locale['ab_090']." $date</td></tr>";
		echo "</table>";
		tablebreak();
	}
	
	echo "<hr><div align='center'><a href='".FUSION_SELF."' target=_self>".$locale['ab_082']."</a></div><hr>";
	
	closetable();
	}

else
{
opentable($locale['ab_076']);

echo "";

closetable();
tablebreak();
tablebreak();
}
}

// -------------------------
// Anzeige der Volltextsuche
// -------------------------
elseif (isset($volltext))
{

	if ($volltext == "")
	{
	opentable($locale['ab_076']);
	echo "<font color=red><b>".$locale['ab_093']."</font></b><br>";
	echo "<a href='".FUSION_SELF."' target=_self>".$locale['ab_094']."</a>";
	closetable();
	}
	else
	{
opentable($locale['ab_076']);

$items_per_page = 5;
if (!isset($rowstart) || !isNum($rowstart)) $rowstart = 0;

$result = dbquery("SELECT * FROM ".$db_prefix."atbooks WHERE (book_title LIKE '%$volltext%'"
		." || book_autor LIKE '%$volltext%' || book_published LIKE '%$volltext%'"
		." || book_auflage LIKE '%$volltext%' || book_language LIKE '%$volltext%'"
		." || book_content LIKE '%$volltext%' || book_publisher LIKE '%$volltext%'"
		." || book_isbn LIKE '%$volltext%') ORDER BY book_title LIMIT $rowstart,$items_per_page");
$rows = dbrows($result);

echo "<table width='100%' class='tbl-border' cellpadding='0' cellspacing='1'>";
echo "<tr><td align='center' class='tbl2'><b><font size=2>".$locale['ab_095']."</font><br>(".$locale['ab_096']." &raquo;$volltext&laquo;)</b></td></tr>";
echo "</table>";
tablebreak();

if ($rows == "0")
{
echo "<table width='100%' class='tbl-border' cellpadding='0' cellspacing='1'>";
echo "<tr><td align='center' class='tbl1'>".$locale['ab_097']." &raquo;$volltext&laquo; ".$locale['ab_098']."</td></tr>";
echo "</table>";
}

$rows_entries = dbcount("(book_id)", "atbooks WHERE (book_title LIKE '%$volltext%'"
		." || book_autor LIKE '%$volltext%' || book_published LIKE '%$volltext%'"
		." || book_auflage LIKE '%$volltext%' || book_language LIKE '%$volltext%'"
		." || book_content LIKE '%$volltext%' || book_publisher LIKE '%$volltext%'"
		." || book_isbn LIKE '%$volltext%')");

	while ($data = dbarray($result))
	{
		$content = trimlink($data['book_content'], 200);
		$date = date("d.m.Y", $data['book_datestamp']);
		$hits = $data['book_hits'];
		$get_comments = dbquery("SELECT * FROM ".$db_prefix."atbook_comments WHERE comment_book_id='".$data['book_id']."'");
		$comments = dbrows($get_comments);
		
		echo "<table width='100%' class='textbox' cellpadding='0' cellspacing='0'>";
		echo "<tr>";
		echo "<td width='20%' class='tbl2'><a href='".INFUSIONS."book_panel/books.php?&bookid=".$data['book_id']."' target=_self><b>".$data['book_title']."</b></td>";
		echo "<td align='justify' class='tbl1'>$content</td>";
		echo "<td width='15%' align='center' class='tbl1'><a href='".INFUSIONS."book_panel/books.php?&bookid=".$data['book_id']."' target=_self>".$locale['ab_081']."</a></td>";
		echo "</tr>";
		echo "<tr><td align='center' colspan='3' class='tbl1'>$hits ".$locale['ab_089']." &middot; $comments ".$locale['ab_099']." &middot; ".$locale['ab_100']." $date</td></tr>";
		echo "</table>";
		tablebreak();
	}
	
	// Navigation
	if ($rows_entries > $items_per_page) echo"<div align='center' style='margin-top:5px;'>\n".makePageNav($rowstart,$items_per_page,$rows_entries,3,"?&volltext=$volltext&")."\n</div>\n";

	echo "<hr><div align='center'><a href='".FUSION_SELF."' target=_self>".$locale['ab_082']."</a></div><hr>";



closetable();
	
	// Ende if-Anweisung nach if $volltext=""
	}
}

// -------
// Eingabe
// -------
else
{
opentable($locale['ab_076']);

echo "<table align='center' width='70%' class='tbl-border' cellpadding='0' cellspacing='0'>";
echo "<form method='post' action='".FUSION_SELF."' name='selectform'>";

echo "<tr>";
echo "<td colspan='2' class='tbl2'>";
echo "<b>".$locale['ab_101']."</b>";
echo "</td>";
echo "</tr>";

echo "<tr>";
echo "<td class='tbl1'>";
	echo "<select name='select_option' class='textbox' size='1'>";
	echo "<option value='0'>".$locale['ab_102']."</option>";
	echo "<option value='1'>".$locale['ab_103']."</option>";
	echo "<option value='2'>".$locale['ab_104']."</option>";
	echo "<option value='3'>".$locale['ab_105']."</option>";
	echo "<option value='4'>".$locale['ab_106']."</option>";
	echo "</select>";
echo "</td>";
echo "<td class='tbl1' align='center'><input type='submit' class='button' name ='select1' value='".$locale['ab_107']."'></td>";
echo "</tr>";

echo "<tr>";
echo "<td colspan='2' class='tbl2'>".$locale['ab_108']."</td>";
echo "</tr>";

echo "<tr>";
echo "<td class='tbl1'><input type='text' name='volltext' maxlength='250' class='textbox' style='width:100%'></td>";
echo "<td class='tbl1' align='center'><input type='submit' class='button' name ='select2' value='".$locale['ab_107']."'></td>";
echo "</tr>";

echo "</form>";
echo "</table>";

closetable();
}

require_once BASEDIR."side_right.php";
require_once BASEDIR."footer.php";

?>